version: "3"
services:
    mongo:
        image: mongo
        volumes:
          - ./mongo_data:/data/db
        ports:
          - 27017:27017
    mongo-express:
        image: mongo-express:latest
        restart: always
        ports: 
          - 8765:8081
        links:
          - mongo
    postgres:
        image: postgres:10
        container_name: postgres-db
        restart: always
        volumes:
          - ./pg_data:/var/lib/postgresql/data
        ports:
          - 5435:5432
        environment:
          - POSTGRES_DB=sbd
          - POSTGRES_USER=sbd
          - POSTGRES_PASSWORD=sbd
    pgadmin:
        image: dpage/pgadmin4
        environment:
          - PGADMIN_DEFAULT_EMAIL=sbd@sbd.com
          - PGADMIN_DEFAULT_PASSWORD=sbd
        ports:
          - 8081:80
        links:
          - postgres
        depends_on:
          - postgres
